Skip to main content

2026-08-28 Workflows Execution API

  • Workflow tasks can now be set to wait for a journey submission through new optional automation_config.journey_id, automation_config.wait_for_journey_submission, and automation_config.journey_execution fields, accepted on POST /v2/flows/executions, POST /v2/flows/executions/{execution_id}/tasks, and PATCH /v2/flows/executions/{execution_id}/tasks/{task_id}, and returned wherever executions and tasks are read
  • Workflow steps and tasks report a new WAITING_FOR_JOURNEY_SUBMISSION status while they wait, returned by all execution, step, and task endpoints and accepted when creating or updating a step or task